package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 订单商品对应表实体
 * 表名 tb_cf_item_order_r
 *
 * @author G
 * @date 2019-08-14 09:11:48
 */
public class TbCfItemOrderREntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 记录表
     */
    private String orderItemId;
    /**
     * 商品id
     */
    private String itemId;
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 是否有效
     */
    private Integer enableFlag;

    /**
     * 设置：记录表
     */
    public void setOrderItemId(String orderItemId) {
        this.orderItemId = orderItemId;
    }

    /**
     * 获取：记录表
     */
    public String getOrderItemId() {
        return orderItemId;
    }
    /**
     * 设置：商品id
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * 获取：商品id
     */
    public String getItemId() {
        return itemId;
    }
    /**
     * 设置：订单id
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取：订单id
     */
    public String getOrderId() {
        return orderId;
    }
    /**
     * 设置：是否有效
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：是否有效
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
}
